# /builddir/build/BUILD/alsa-lib-1.1.0/src/control/namehint.c File Reference

Give device name hints. More...

## Functions

int | snd_device_name_hint (int card, const char *iface, void ***hints)
| Get a set of device name hints.
int | snd_device_name_free_hint (void **hints)
| Free a list of device name hints.
char * | snd_device_name_get_hint (const void *hint, const char *id)
| Extract a value from a hint.

## Detailed Description

Give device name hints.

Author:
  Jaroslav Kysela <perex@perex.cz>

Date:
  2006

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines